Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		rarian
Version:	0.8.1
Release:	3
License:	LGPLv2+
Group:		System/Base
Summary:	Rarian is a documentation meta-data library
URL:		http://ftp.gnome.org/pub/gnome/sources/rarian
Source:		http://ftp.gnome.org/pub/gnome/sources/rarian/0.5/rarian-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Requires:	libxslt
Requires:	coreutils
Requires:	util-linux
Requires:	gawk

BuildRequires: 	libxslt-devel

%description
Rarian is a documentation meta-data library that allows access to documents,
man pages and info pages.  It was designed as a replacement for scrollkeeper.

%package	compat
License:	GPLv2+
Group:		System/Base
Summary:	Extra files for compatibility with scrollkeeper
Requires:	rarian = %{version}-%{release}
Requires(post):	rarian
# The scrollkeeper version is arbitrary.  It just
# needs to be greater than what we're obsoleting.
Provides:	scrollkeeper = 0.4
Obsoletes:	scrollkeeper <= 0.3.14

%description	compat
This package contains files needed to maintain backward-compatibility with
scrollkeeper.

%package	devel
Group:		Development/Languages
Summary:	Development files for Rarian
Requires:	rarian = %{version}-%{release}
Requires:	pkgconfig

%description	devel
This package contains files required to develop applications that use the
Rarian library ("librarian").

%prep
%setup -q

%build

%configure --disable-skdb-update
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post compat
%{_bindir}/rarian-sk-update

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LIB COPYING.UTILS ChangeLog NEWS AUTHORS
%{_bindir}/rarian-example
%{_libdir}/librarian.so.*
%{_datadir}/librarian
%{_datadir}/help/rarian.document

%files compat
%defattr(-,root,root,-)
%{_bindir}/rarian-sk-*
%{_bindir}/scrollkeeper-*

%files devel
%defattr(644,root,root,755)
%{_includedir}/rarian
%{_libdir}/librarian.so
%{_libdir}/librarian.a
%{_libdir}/librarian.la
%{_libdir}/pkgconfig/rarian.pc

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-3
- rebuilt
* Thu Nov 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-2
- rebuilt for rarian-compat missing in PDB
* Mon Nov 16 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.1-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Initial release
